from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from com.sun.star.ui.dialogs import XFilePicker

@runtime_checkable
class XFilePickerControlAccess(XFilePicker, Protocol):
    def setValue(self, ControlId: int, aControlAction: int, aValue: Any) -> None: ...
    def getValue(self, aControlId: int, aControlAction: int) -> Any: ...
    def setLabel(self, aControlId: int, aLabel: str) -> None: ...
    def getLabel(self, aControlId: int) -> str: ...
    def enableControl(self, ControlId: int, bEnable: bool) -> None: ...
